%define version 1.4.0
%define release 6
%define name smeserver-dovecot


Summary: Dovecot IMAP server integration
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
Patch1: smeserver-dovecot-1.4.0-remove_acl_and_sieve.patch
Patch2: smeserver-dovecot-1.4.0-remove_obsolete_changelog.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: e-smith-base >= 5.2.0
Requires: dovecot >= 2.0.9

Provides: e-smith-imap
Obsoletes: e-smith-imap
Obsoletes: e-smith-ssl-imap
Obsoletes: e-smith-wu-imap
Obsoletes: imap
Obsoletes: bglibs <= 1.102
Obsoletes: cvm <= 0.82
Obsoletes: e-smith-cvm-unix-local <= 2.2.0
Obsoletes: mailfront <= 1.10
Obsoletes: stunnel <= 4.15
Obsoletes: stunnel-tls <= 3.22
Obsoletes: words <= 3.0

%description
Configure the dovecot IMAP server with sieve scripts support,
quota, ACL, extended logging, master user

%changelog
* Thu Feb 28 2013 Shad L. Lords <slords@mail.com> - 1.4.0-6.sme
- Fix Obsolete el5 mailfront version [SME: 7273]

* Thu Feb 28 2013 Shad L. Lords <slords@mail.com> - 1.4.0-5.sme
- Obsolete el5 packages that were required by old requires [SME: 7273]

* Thu Feb 28 2013 Shad L. Lords <slords@mail.com> - 1.4.0-4.sme
- Obsolete older requires that are no longer needed [SME: 7273]

* Thu Feb 28 2013 Shad L. Lords <slords@mail.com> - 1.4.0-3.sme
- Remove requires for packages no longer needed [SME: 7405]

* Thu Feb 28 2013 Daniel Berteaud <daniel@firewall-services.com> - 1.4.0-2.sme
- remove the IMAP acl and Sieve support [SME: 7405]
- remove obsolete changelog (used in my previous buildsys)

* Tue Feb 26 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1
- store sharedmailbox dict file in /home/e-smith/db/dovecot

* Tue Feb 12 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1
- Pass the recipient variable to dovcot-lda

* Tue Nov 29 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1
- initial release

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
   --file /var/service/dovecot/run 'attr(0755,root,root)' \
   --file /var/service/dovecot/log/run 'attr(0755,root,root)' \
   --file /var/service/dovecot/control/1 'attr(0755,root,root)' \
   --dir /var/log/dovecot 'attr(0750,smelog,smelog)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

